package com.vaadin.spring.roo.addon.entityview;

import org.springframework.roo.addon.jpa.activerecord.JpaActiveRecordMetadata;
import org.springframework.roo.addon.web.mvc.controller.details.JavaTypeMetadataDetails;
import org.springframework.roo.model.JavaType;

/**
 * Aggregates metadata for a given {@link JavaType} entity.
 */
public class VaadinEntityMetadataDetails {

	private final JavaType javaType;

	private final JpaActiveRecordMetadata jpaActiveRecordMetadata;

	private final JavaTypeMetadataDetails javaTypeMetadataDetails;

	public VaadinEntityMetadataDetails(JavaType javaType,
			JpaActiveRecordMetadata entityMetadata,
			JavaTypeMetadataDetails javaTypeMetadataDetails) {
		this.javaType = javaType;
		jpaActiveRecordMetadata = entityMetadata;
		this.javaTypeMetadataDetails = javaTypeMetadataDetails;
	}

	public JavaType getJavaType() {
		return javaType;
	}

	public JpaActiveRecordMetadata getEntityMetadata() {
		return jpaActiveRecordMetadata;
	}

	/**
	 * @return the javaTypeMetadataDetails
	 */
	public JavaTypeMetadataDetails getJavaTypeMetadataDetails() {
		return javaTypeMetadataDetails;
	}

}
